body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) skewX(-20deg);
    padding: 10px 30px;
    border: 2px solid #000;
    font-family: sans-serif;
    text-transform: uppercase;
    font-size: 24px;
    color: #000;
    background: #fff;
    display: block;
    box-sizing: border-box;
    text-decoration: none;
}
a:hover{
    animation: animate 0.3s linear;
    animation-delay: 0.2s;
}
a:before{
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    right: 2px;
    bottom: 2px;
    background: #fff;
    mix-blend-mode: difference;
    transform: scaleX(0);
    transition: .5s;
}
a:hover:before{
    transform: scaleX(1);
    transition-delay: 0.5s;
}
@keyframes animate{
     0%{
         transform: translate(-50%,-50%) skewX(-20deg);
     }
     25%{
         transform: translate(-50%,-50%) skewX(20deg);
     }
     50%{
         transform: translate(-50%,-50%) skewX(-20deg);
     }
     75%{
        transform: translate(-50%,-50%) skewX(20deg);
    }
    100%{
        transform: translate(-50%,-50%) skewX(-20deg);
    }
}